source: squid-ssl/trunk/fuentes/lib/libTrie/test/Makefile.in @ 5495

Last change on this file since 5495 was 5495, checked in by Juanma, 23 months ago

Initial release

File size: 37.5 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16VPATH = @srcdir@
17am__is_gnu_make = { \
18  if test -z '$(MAKELEVEL)'; then \
19    false; \
20  elif test -n '$(MAKE_HOST)'; then \
21    true; \
22  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
23    true; \
24  else \
25    false; \
26  fi; \
27}
28am__make_running_with_option = \
29  case $${target_option-} in \
30      ?) ;; \
31      *) echo "am__make_running_with_option: internal error: invalid" \
32              "target option '$${target_option-}' specified" >&2; \
33         exit 1;; \
34  esac; \
35  has_opt=no; \
36  sane_makeflags=$$MAKEFLAGS; \
37  if $(am__is_gnu_make); then \
38    sane_makeflags=$$MFLAGS; \
39  else \
40    case $$MAKEFLAGS in \
41      *\\[\ \   ]*) \
42        bs=\\; \
43        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
44          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
45    esac; \
46  fi; \
47  skip_next=no; \
48  strip_trailopt () \
49  { \
50    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
51  }; \
52  for flg in $$sane_makeflags; do \
53    test $$skip_next = yes && { skip_next=no; continue; }; \
54    case $$flg in \
55      *=*|--*) continue;; \
56        -*I) strip_trailopt 'I'; skip_next=yes;; \
57      -*I?*) strip_trailopt 'I';; \
58        -*O) strip_trailopt 'O'; skip_next=yes;; \
59      -*O?*) strip_trailopt 'O';; \
60        -*l) strip_trailopt 'l'; skip_next=yes;; \
61      -*l?*) strip_trailopt 'l';; \
62      -[dEDm]) skip_next=yes;; \
63      -[JT]) skip_next=yes;; \
64    esac; \
65    case $$flg in \
66      *$$target_option*) has_opt=yes; break;; \
67    esac; \
68  done; \
69  test $$has_opt = yes
70am__make_dryrun = (target_option=n; $(am__make_running_with_option))
71am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
72pkgdatadir = $(datadir)/@PACKAGE@
73pkgincludedir = $(includedir)/@PACKAGE@
74pkglibdir = $(libdir)/@PACKAGE@
75pkglibexecdir = $(libexecdir)/@PACKAGE@
76am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
77install_sh_DATA = $(install_sh) -c -m 644
78install_sh_PROGRAM = $(install_sh) -c
79install_sh_SCRIPT = $(install_sh) -c
80INSTALL_HEADER = $(INSTALL_DATA)
81transform = $(program_transform_name)
82NORMAL_INSTALL = :
83PRE_INSTALL = :
84POST_INSTALL = :
85NORMAL_UNINSTALL = :
86PRE_UNINSTALL = :
87POST_UNINSTALL = :
88build_triplet = @build@
89host_triplet = @host@
90check_PROGRAMS = trie$(EXEEXT)
91TESTS = trie$(EXEEXT)
92@ENABLE_LOADABLE_MODULES_TRUE@am__append_1 = $(INCLTDL)
93subdir = lib/libTrie/test
94ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
95am__aclocal_m4_deps = $(top_srcdir)/acinclude/ax_with_prog.m4 \
96        $(top_srcdir)/acinclude/init.m4 \
97        $(top_srcdir)/acinclude/squid-util.m4 \
98        $(top_srcdir)/acinclude/compiler-flags.m4 \
99        $(top_srcdir)/acinclude/os-deps.m4 \
100        $(top_srcdir)/acinclude/krb5.m4 $(top_srcdir)/acinclude/pam.m4 \
101        $(top_srcdir)/acinclude/pkg.m4 \
102        $(top_srcdir)/acinclude/lib-checks.m4 \
103        $(top_srcdir)/acinclude/ax_cxx_compile_stdcxx_11.m4 \
104        $(top_srcdir)/acinclude/ax_cxx_0x_types.m4 \
105        $(top_srcdir)/helpers/basic_auth/modules.m4 \
106        $(top_srcdir)/helpers/basic_auth/DB/required.m4 \
107        $(top_srcdir)/helpers/basic_auth/LDAP/required.m4 \
108        $(top_srcdir)/helpers/basic_auth/MSNT-multi-domain/required.m4 \
109        $(top_srcdir)/helpers/basic_auth/NCSA/required.m4 \
110        $(top_srcdir)/helpers/basic_auth/NIS/required.m4 \
111        $(top_srcdir)/helpers/basic_auth/PAM/required.m4 \
112        $(top_srcdir)/helpers/basic_auth/POP3/required.m4 \
113        $(top_srcdir)/helpers/basic_auth/RADIUS/required.m4 \
114        $(top_srcdir)/helpers/basic_auth/SASL/required.m4 \
115        $(top_srcdir)/helpers/basic_auth/SMB/required.m4 \
116        $(top_srcdir)/helpers/basic_auth/SMB_LM/required.m4 \
117        $(top_srcdir)/helpers/basic_auth/SSPI/required.m4 \
118        $(top_srcdir)/helpers/basic_auth/fake/required.m4 \
119        $(top_srcdir)/helpers/basic_auth/getpwnam/required.m4 \
120        $(top_srcdir)/helpers/digest_auth/modules.m4 \
121        $(top_srcdir)/helpers/digest_auth/LDAP/required.m4 \
122        $(top_srcdir)/helpers/digest_auth/eDirectory/required.m4 \
123        $(top_srcdir)/helpers/digest_auth/file/required.m4 \
124        $(top_srcdir)/helpers/negotiate_auth/modules.m4 \
125        $(top_srcdir)/helpers/negotiate_auth/SSPI/required.m4 \
126        $(top_srcdir)/helpers/negotiate_auth/kerberos/required.m4 \
127        $(top_srcdir)/helpers/negotiate_auth/wrapper/required.m4 \
128        $(top_srcdir)/helpers/ntlm_auth/modules.m4 \
129        $(top_srcdir)/helpers/ntlm_auth/fake/required.m4 \
130        $(top_srcdir)/helpers/ntlm_auth/SSPI/required.m4 \
131        $(top_srcdir)/helpers/ntlm_auth/smb_lm/required.m4 \
132        $(top_srcdir)/helpers/log_daemon/modules.m4 \
133        $(top_srcdir)/helpers/log_daemon/DB/required.m4 \
134        $(top_srcdir)/helpers/log_daemon/file/required.m4 \
135        $(top_srcdir)/helpers/external_acl/modules.m4 \
136        $(top_srcdir)/helpers/external_acl/AD_group/required.m4 \
137        $(top_srcdir)/helpers/external_acl/LDAP_group/required.m4 \
138        $(top_srcdir)/helpers/external_acl/LM_group/required.m4 \
139        $(top_srcdir)/helpers/external_acl/delayer/required.m4 \
140        $(top_srcdir)/helpers/external_acl/SQL_session/required.m4 \
141        $(top_srcdir)/helpers/external_acl/eDirectory_userip/required.m4 \
142        $(top_srcdir)/helpers/external_acl/file_userip/required.m4 \
143        $(top_srcdir)/helpers/external_acl/kerberos_ldap_group/required.m4 \
144        $(top_srcdir)/helpers/external_acl/session/required.m4 \
145        $(top_srcdir)/helpers/external_acl/time_quota/required.m4 \
146        $(top_srcdir)/helpers/external_acl/unix_group/required.m4 \
147        $(top_srcdir)/helpers/external_acl/wbinfo_group/required.m4 \
148        $(top_srcdir)/helpers/url_rewrite/modules.m4 \
149        $(top_srcdir)/helpers/url_rewrite/fake/required.m4 \
150        $(top_srcdir)/helpers/storeid_rewrite/modules.m4 \
151        $(top_srcdir)/helpers/storeid_rewrite/file/required.m4 \
152        $(top_srcdir)/configure.ac
153am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
154        $(ACLOCAL_M4)
155DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
156mkinstalldirs = $(install_sh) -d
157CONFIG_HEADER = $(top_builddir)/include/autoconf.h
158CONFIG_CLEAN_FILES =
159CONFIG_CLEAN_VPATH_FILES =
160am_trie_OBJECTS = trie.$(OBJEXT)
161trie_OBJECTS = $(am_trie_OBJECTS)
162trie_DEPENDENCIES = $(top_builddir)/lib/libTrie/libTrie.a
163AM_V_lt = $(am__v_lt_@AM_V@)
164am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
165am__v_lt_0 = --silent
166am__v_lt_1 =
167AM_V_P = $(am__v_P_@AM_V@)
168am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
169am__v_P_0 = false
170am__v_P_1 = :
171AM_V_GEN = $(am__v_GEN_@AM_V@)
172am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
173am__v_GEN_0 = @echo "  GEN     " $@;
174am__v_GEN_1 =
175AM_V_at = $(am__v_at_@AM_V@)
176am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
177am__v_at_0 = @
178am__v_at_1 =
179DEFAULT_INCLUDES =
180depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
181am__depfiles_maybe = depfiles
182am__mv = mv -f
183CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
184        $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
185LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
186        $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
187        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
188        $(AM_CXXFLAGS) $(CXXFLAGS)
189AM_V_CXX = $(am__v_CXX_@AM_V@)
190am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
191am__v_CXX_0 = @echo "  CXX     " $@;
192am__v_CXX_1 =
193CXXLD = $(CXX)
194CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
195        $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
196        $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
197AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
198am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
199am__v_CXXLD_0 = @echo "  CXXLD   " $@;
200am__v_CXXLD_1 =
201SOURCES = $(trie_SOURCES)
202DIST_SOURCES = $(trie_SOURCES)
203am__can_run_installinfo = \
204  case $$AM_UPDATE_INFO_DIR in \
205    n|no|NO) false;; \
206    *) (install-info --version) >/dev/null 2>&1;; \
207  esac
208am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
209# Read a list of newline-separated strings from the standard input,
210# and print each of them once, without duplicates.  Input order is
211# *not* preserved.
212am__uniquify_input = $(AWK) '\
213  BEGIN { nonempty = 0; } \
214  { items[$$0] = 1; nonempty = 1; } \
215  END { if (nonempty) { for (i in items) print i; }; } \
216'
217# Make sure the list of sources is unique.  This is necessary because,
218# e.g., the same source file might be shared among _SOURCES variables
219# for different programs/libraries.
220am__define_uniq_tagged_files = \
221  list='$(am__tagged_files)'; \
222  unique=`for i in $$list; do \
223    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
224  done | $(am__uniquify_input)`
225ETAGS = etags
226CTAGS = ctags
227am__tty_colors_dummy = \
228  mgn= red= grn= lgn= blu= brg= std=; \
229  am__color_tests=no
230am__tty_colors = { \
231  $(am__tty_colors_dummy); \
232  if test "X$(AM_COLOR_TESTS)" = Xno; then \
233    am__color_tests=no; \
234  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
235    am__color_tests=yes; \
236  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
237    am__color_tests=yes; \
238  fi; \
239  if test $$am__color_tests = yes; then \
240    red='[0;31m'; \
241    grn='[0;32m'; \
242    lgn='[1;32m'; \
243    blu='[1;34m'; \
244    mgn='[0;35m'; \
245    brg='[1m'; \
246    std='[m'; \
247  fi; \
248}
249am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
250am__vpath_adj = case $$p in \
251    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
252    *) f=$$p;; \
253  esac;
254am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
255am__install_max = 40
256am__nobase_strip_setup = \
257  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
258am__nobase_strip = \
259  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
260am__nobase_list = $(am__nobase_strip_setup); \
261  for p in $$list; do echo "$$p $$p"; done | \
262  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
263  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
264    if (++n[$$2] == $(am__install_max)) \
265      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
266    END { for (dir in files) print dir, files[dir] }'
267am__base_list = \
268  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
269  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
270am__uninstall_files_from_dir = { \
271  test -z "$$files" \
272    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
273    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
274         $(am__cd) "$$dir" && rm -f $$files; }; \
275  }
276am__recheck_rx = ^[     ]*:recheck:[    ]*
277am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
278am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
279# A command that, given a newline-separated list of test names on the
280# standard input, print the name of the tests that are to be re-run
281# upon "make recheck".
282am__list_recheck_tests = $(AWK) '{ \
283  recheck = 1; \
284  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
285    { \
286      if (rc < 0) \
287        { \
288          if ((getline line2 < ($$0 ".log")) < 0) \
289            recheck = 0; \
290          break; \
291        } \
292      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
293        { \
294          recheck = 0; \
295          break; \
296        } \
297      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
298        { \
299          break; \
300        } \
301    }; \
302  if (recheck) \
303    print $$0; \
304  close ($$0 ".trs"); \
305  close ($$0 ".log"); \
306}'
307# A command that, given a newline-separated list of test names on the
308# standard input, create the global log from their .trs and .log files.
309am__create_global_log = $(AWK) ' \
310function fatal(msg) \
311{ \
312  print "fatal: making $@: " msg | "cat >&2"; \
313  exit 1; \
314} \
315function rst_section(header) \
316{ \
317  print header; \
318  len = length(header); \
319  for (i = 1; i <= len; i = i + 1) \
320    printf "="; \
321  printf "\n\n"; \
322} \
323{ \
324  copy_in_global_log = 1; \
325  global_test_result = "RUN"; \
326  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
327    { \
328      if (rc < 0) \
329         fatal("failed to read from " $$0 ".trs"); \
330      if (line ~ /$(am__global_test_result_rx)/) \
331        { \
332          sub("$(am__global_test_result_rx)", "", line); \
333          sub("[        ]*$$", "", line); \
334          global_test_result = line; \
335        } \
336      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
337        copy_in_global_log = 0; \
338    }; \
339  if (copy_in_global_log) \
340    { \
341      rst_section(global_test_result ": " $$0); \
342      while ((rc = (getline line < ($$0 ".log"))) != 0) \
343      { \
344        if (rc < 0) \
345          fatal("failed to read from " $$0 ".log"); \
346        print line; \
347      }; \
348      printf "\n"; \
349    }; \
350  close ($$0 ".trs"); \
351  close ($$0 ".log"); \
352}'
353# Restructured Text title.
354am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
355# Solaris 10 'make', and several other traditional 'make' implementations,
356# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
357# by disabling -e (using the XSI extension "set +e") if it's set.
358am__sh_e_setup = case $$- in *e*) set +e;; esac
359# Default flags passed to test drivers.
360am__common_driver_flags = \
361  --color-tests "$$am__color_tests" \
362  --enable-hard-errors "$$am__enable_hard_errors" \
363  --expect-failure "$$am__expect_failure"
364# To be inserted before the command running the test.  Creates the
365# directory for the log if needed.  Stores in $dir the directory
366# containing $f, in $tst the test, in $log the log.  Executes the
367# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
368# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
369# will run the test scripts (or their associated LOG_COMPILER, if
370# thy have one).
371am__check_pre = \
372$(am__sh_e_setup);                                      \
373$(am__vpath_adj_setup) $(am__vpath_adj)                 \
374$(am__tty_colors);                                      \
375srcdir=$(srcdir); export srcdir;                        \
376case "$@" in                                            \
377  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
378    *) am__odir=.;;                                     \
379esac;                                                   \
380test "x$$am__odir" = x"." || test -d "$$am__odir"       \
381  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
382if test -f "./$$f"; then dir=./;                        \
383elif test -f "$$f"; then dir=;                          \
384else dir="$(srcdir)/"; fi;                              \
385tst=$$dir$$f; log='$@';                                 \
386if test -n '$(DISABLE_HARD_ERRORS)'; then               \
387  am__enable_hard_errors=no;                            \
388else                                                    \
389  am__enable_hard_errors=yes;                           \
390fi;                                                     \
391case " $(XFAIL_TESTS) " in                              \
392  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
393    am__expect_failure=yes;;                            \
394  *)                                                    \
395    am__expect_failure=no;;                             \
396esac;                                                   \
397$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
398# A shell command to get the names of the tests scripts with any registered
399# extension removed (i.e., equivalently, the names of the test logs, with
400# the '.log' extension removed).  The result is saved in the shell variable
401# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
402# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
403# since that might cause problem with VPATH rewrites for suffix-less tests.
404# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
405am__set_TESTS_bases = \
406  bases='$(TEST_LOGS)'; \
407  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
408  bases=`echo $$bases`
409RECHECK_LOGS = $(TEST_LOGS)
410AM_RECURSIVE_TARGETS = check recheck
411TEST_SUITE_LOG = test-suite.log
412TEST_EXTENSIONS = @EXEEXT@ .test
413LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
414LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
415am__set_b = \
416  case '$@' in \
417    */*) \
418      case '$*' in \
419        */*) b='$*';; \
420          *) b=`echo '$@' | sed 's/\.log$$//'`; \
421       esac;; \
422    *) \
423      b='$*';; \
424  esac
425am__test_logs1 = $(TESTS:=.log)
426am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
427TEST_LOGS = $(am__test_logs2:.test.log=.log)
428TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
429TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
430        $(TEST_LOG_FLAGS)
431am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/cfgaux/depcomp \
432        $(top_srcdir)/cfgaux/test-driver $(top_srcdir)/src/Common.am
433DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
434ACLOCAL = @ACLOCAL@
435ADAPTATION_LIBS = @ADAPTATION_LIBS@
436ALLOCA = @ALLOCA@
437AMTAR = @AMTAR@
438AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
439AR = @AR@
440AR_R = @AR_R@
441AUTH_LIBS_TO_BUILD = @AUTH_LIBS_TO_BUILD@
442AUTH_MODULES = @AUTH_MODULES@
443AUTOCONF = @AUTOCONF@
444AUTOHEADER = @AUTOHEADER@
445AUTOMAKE = @AUTOMAKE@
446AWK = @AWK@
447BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
448BUILDCXX = @BUILDCXX@
449BUILDCXXFLAGS = @BUILDCXXFLAGS@
450BZR = @BZR@
451CACHE_EFFECTIVE_USER = @CACHE_EFFECTIVE_USER@
452CC = @CC@
453CCDEPMODE = @CCDEPMODE@
454CFLAGS = @CFLAGS@
455CGIEXT = @CGIEXT@
456CHMOD = @CHMOD@
457CPP = @CPP@
458CPPFLAGS = @CPPFLAGS@
459CPPUNITCONFIG = @CPPUNITCONFIG@
460CRYPTLIB = @CRYPTLIB@
461CXX = @CXX@
462CXXCPP = @CXXCPP@
463CXXDEPMODE = @CXXDEPMODE@
464CXXFLAGS = @CXXFLAGS@
465CYGPATH_W = @CYGPATH_W@
466DEFAULT_HOSTS = @DEFAULT_HOSTS@
467DEFAULT_LOG_DIR = @DEFAULT_LOG_DIR@
468DEFAULT_PID_FILE = @DEFAULT_PID_FILE@
469DEFAULT_SWAP_DIR = @DEFAULT_SWAP_DIR@
470DEFS = @DEFS@
471DEPDIR = @DEPDIR@
472DIGEST_AUTH_HELPERS = @DIGEST_AUTH_HELPERS@
473DISK_LIBS = @DISK_LIBS@
474DISK_LINKOBJS = @DISK_LINKOBJS@
475DISK_MODULES = @DISK_MODULES@
476DISK_OS_LIBS = @DISK_OS_LIBS@
477DISK_PROGRAMS = @DISK_PROGRAMS@
478DLLTOOL = @DLLTOOL@
479DSYMUTIL = @DSYMUTIL@
480DUMPBIN = @DUMPBIN@
481ECAP_LIBS = @ECAP_LIBS@
482ECHO_C = @ECHO_C@
483ECHO_N = @ECHO_N@
484ECHO_T = @ECHO_T@
485EGREP = @EGREP@
486EPOLL_LIBS = @EPOLL_LIBS@
487EUILIB = @EUILIB@
488EXEEXT = @EXEEXT@
489EXPATLIB = @EXPATLIB@
490EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
491EXT_LIBECAP_CFLAGS = @EXT_LIBECAP_CFLAGS@
492EXT_LIBECAP_LIBS = @EXT_LIBECAP_LIBS@
493FALSE = @FALSE@
494FGREP = @FGREP@
495GREP = @GREP@
496HAVE_CXX11 = @HAVE_CXX11@
497ICAP_LIBS = @ICAP_LIBS@
498INCLTDL = @INCLTDL@
499INSTALL = @INSTALL@
500INSTALL_DATA = @INSTALL_DATA@
501INSTALL_PROGRAM = @INSTALL_PROGRAM@
502INSTALL_SCRIPT = @INSTALL_SCRIPT@
503INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
504KRB5INCS = @KRB5INCS@
505KRB5LIBS = @KRB5LIBS@
506LBERLIB = @LBERLIB@
507LD = @LD@
508LDAPLIB = @LDAPLIB@
509LDFLAGS = @LDFLAGS@
510LIBADD_DL = @LIBADD_DL@
511LIBADD_DLD_LINK = @LIBADD_DLD_LINK@
512LIBADD_DLOPEN = @LIBADD_DLOPEN@
513LIBADD_SHL_LOAD = @LIBADD_SHL_LOAD@
514LIBGNUTLS_CFLAGS = @LIBGNUTLS_CFLAGS@
515LIBGNUTLS_LIBS = @LIBGNUTLS_LIBS@
516LIBLTDL = @LIBLTDL@
517LIBOBJS = @LIBOBJS@
518LIBOPENSSL_CFLAGS = @LIBOPENSSL_CFLAGS@
519LIBOPENSSL_LIBS = @LIBOPENSSL_LIBS@
520LIBS = @LIBS@
521LIBSASL = @LIBSASL@
522LIBTOOL = @LIBTOOL@
523LIB_DB = @LIB_DB@
524LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
525LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
526LINUXDOC = @LINUXDOC@
527LIPO = @LIPO@
528LN = @LN@
529LN_S = @LN_S@
530LOG_DAEMON_HELPERS = @LOG_DAEMON_HELPERS@
531LTDLDEPS = @LTDLDEPS@
532LTDLINCL = @LTDLINCL@
533LTDLOPEN = @LTDLOPEN@
534LTLIBOBJS = @LTLIBOBJS@
535LT_ARGZ_H = @LT_ARGZ_H@
536LT_CONFIG_H = @LT_CONFIG_H@
537LT_DLLOADERS = @LT_DLLOADERS@
538LT_DLPREOPEN = @LT_DLPREOPEN@
539LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
540MAINT = @MAINT@
541MAKEINFO = @MAKEINFO@
542MANIFEST_TOOL = @MANIFEST_TOOL@
543MINGW_LIBS = @MINGW_LIBS@
544MKDIR = @MKDIR@
545MKDIR_P = @MKDIR_P@
546MV = @MV@
547NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
548NETTLELIB = @NETTLELIB@
549NM = @NM@
550NMEDIT = @NMEDIT@
551NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
552OBJDUMP = @OBJDUMP@
553OBJEXT = @OBJEXT@
554OTOOL = @OTOOL@
555OTOOL64 = @OTOOL64@
556PACKAGE = @PACKAGE@
557PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
558PACKAGE_NAME = @PACKAGE_NAME@
559PACKAGE_STRING = @PACKAGE_STRING@
560PACKAGE_TARNAME = @PACKAGE_TARNAME@
561PACKAGE_URL = @PACKAGE_URL@
562PACKAGE_VERSION = @PACKAGE_VERSION@
563PATH_SEPARATOR = @PATH_SEPARATOR@
564PERL = @PERL@
565PKG_CONFIG = @PKG_CONFIG@
566PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
567PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
568PO2HTML = @PO2HTML@
569PO2TEXT = @PO2TEXT@
570POD2MAN = @POD2MAN@
571RANLIB = @RANLIB@
572REGEXLIB = @REGEXLIB@
573REPL_LIBS = @REPL_LIBS@
574REPL_OBJS = @REPL_OBJS@
575REPL_POLICIES = @REPL_POLICIES@
576RM = @RM@
577SED = @SED@
578SET_MAKE = @SET_MAKE@
579SH = @SH@
580SHELL = @SHELL@
581SMBCLIENT = @SMBCLIENT@
582SNMPLIB = @SNMPLIB@
583SQUID_CFLAGS = @SQUID_CFLAGS@
584SQUID_CPPUNIT_INC = @SQUID_CPPUNIT_INC@
585SQUID_CPPUNIT_LA = @SQUID_CPPUNIT_LA@
586SQUID_CPPUNIT_LIBS = @SQUID_CPPUNIT_LIBS@
587SQUID_CXXFLAGS = @SQUID_CXXFLAGS@
588SSLLIB = @SSLLIB@
589STOREID_REWRITE_HELPERS = @STOREID_REWRITE_HELPERS@
590STORE_LIBS_TO_ADD = @STORE_LIBS_TO_ADD@
591STORE_LIBS_TO_BUILD = @STORE_LIBS_TO_BUILD@
592STORE_TESTS = @STORE_TESTS@
593STRIP = @STRIP@
594TR = @TR@
595TRUE = @TRUE@
596URL_REWRITE_HELPERS = @URL_REWRITE_HELPERS@
597VERSION = @VERSION@
598WBINFO = @WBINFO@
599WIN32_PSAPI = @WIN32_PSAPI@
600XMLLIB = @XMLLIB@
601XTRA_LIBS = @XTRA_LIBS@
602XTRA_OBJS = @XTRA_OBJS@
603abs_builddir = @abs_builddir@
604abs_srcdir = @abs_srcdir@
605abs_top_builddir = @abs_top_builddir@
606abs_top_srcdir = @abs_top_srcdir@
607ac_ct_AR = @ac_ct_AR@
608ac_ct_CC = @ac_ct_CC@
609ac_ct_CXX = @ac_ct_CXX@
610ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
611am__include = @am__include@
612am__leading_dot = @am__leading_dot@
613am__quote = @am__quote@
614am__tar = @am__tar@
615am__untar = @am__untar@
616bindir = @bindir@
617build = @build@
618build_alias = @build_alias@
619build_cpu = @build_cpu@
620build_os = @build_os@
621build_vendor = @build_vendor@
622builddir = @builddir@
623datadir = @datadir@
624datarootdir = @datarootdir@
625docdir = @docdir@
626dvidir = @dvidir@
627exec_prefix = @exec_prefix@
628host = @host@
629host_alias = @host_alias@
630host_cpu = @host_cpu@
631host_os = @host_os@
632host_vendor = @host_vendor@
633htmldir = @htmldir@
634includedir = @includedir@
635infodir = @infodir@
636install_sh = @install_sh@
637krb5_config = @krb5_config@
638libdir = @libdir@
639libexecdir = @libexecdir@
640localedir = @localedir@
641localstatedir = @localstatedir@
642ltdl_LIBOBJS = @ltdl_LIBOBJS@
643ltdl_LTLIBOBJS = @ltdl_LTLIBOBJS@
644mandir = @mandir@
645mkdir_p = @mkdir_p@
646oldincludedir = @oldincludedir@
647pdfdir = @pdfdir@
648prefix = @prefix@
649program_transform_name = @program_transform_name@
650psdir = @psdir@
651runstatedir = @runstatedir@
652sbindir = @sbindir@
653sharedstatedir = @sharedstatedir@
654srcdir = @srcdir@
655subdirs = @subdirs@
656sys_symbol_underscore = @sys_symbol_underscore@
657sysconfdir = @sysconfdir@
658target_alias = @target_alias@
659top_build_prefix = @top_build_prefix@
660top_builddir = @top_builddir@
661top_srcdir = @top_srcdir@
662AM_CFLAGS = $(SQUID_CFLAGS)
663AM_CXXFLAGS = $(SQUID_CXXFLAGS)
664CLEANFILES =
665AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
666        -I$(top_srcdir)/lib -I$(top_srcdir)/src \
667        -I$(top_builddir)/include $(SQUID_CPPUNIT_INC) $(KRB5INCS) \
668        $(am__append_1) -I$(top_srcdir)/include
669@ENABLE_XPROF_STATS_FALSE@LIBPROFILER =
670@ENABLE_XPROF_STATS_TRUE@LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
671COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
672subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
673trie_SOURCES = trie.cc
674trie_LDADD = $(top_builddir)/lib/libTrie/libTrie.a
675all: all-am
676
677.SUFFIXES:
678.SUFFIXES: .cc .lo .log .o .obj .test .test$(EXEEXT) .trs
679$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/src/Common.am $(am__configure_deps)
680        @for dep in $?; do \
681          case '$(am__configure_deps)' in \
682            *$$dep*) \
683              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
684                && { if test -f $@; then exit 0; else break; fi; }; \
685              exit 1;; \
686          esac; \
687        done; \
688        echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu lib/libTrie/test/Makefile'; \
689        $(am__cd) $(top_srcdir) && \
690          $(AUTOMAKE) --gnu lib/libTrie/test/Makefile
691Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
692        @case '$?' in \
693          *config.status*) \
694            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
695          *) \
696            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
697            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
698        esac;
699$(top_srcdir)/src/Common.am $(am__empty):
700
701$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
702        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
703
704$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
705        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
706$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
707        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
708$(am__aclocal_m4_deps):
709
710clean-checkPROGRAMS:
711        @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
712        echo " rm -f" $$list; \
713        rm -f $$list || exit $$?; \
714        test -n "$(EXEEXT)" || exit 0; \
715        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
716        echo " rm -f" $$list; \
717        rm -f $$list
718
719trie$(EXEEXT): $(trie_OBJECTS) $(trie_DEPENDENCIES) $(EXTRA_trie_DEPENDENCIES)
720        @rm -f trie$(EXEEXT)
721        $(AM_V_CXXLD)$(CXXLINK) $(trie_OBJECTS) $(trie_LDADD) $(LIBS)
722
723mostlyclean-compile:
724        -rm -f *.$(OBJEXT)
725
726distclean-compile:
727        -rm -f *.tab.c
728
729@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/trie.Po@am__quote@
730
731.cc.o:
732@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
733@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
734@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
735@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
736@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
737@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
738
739.cc.obj:
740@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
741@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
742@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
743@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
744@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
745@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
746
747.cc.lo:
748@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
749@am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
750@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Plo
751@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
752@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
753@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
754
755mostlyclean-libtool:
756        -rm -f *.lo
757
758clean-libtool:
759        -rm -rf .libs _libs
760
761ID: $(am__tagged_files)
762        $(am__define_uniq_tagged_files); mkid -fID $$unique
763tags: tags-am
764TAGS: tags
765
766tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
767        set x; \
768        here=`pwd`; \
769        $(am__define_uniq_tagged_files); \
770        shift; \
771        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
772          test -n "$$unique" || unique=$$empty_fix; \
773          if test $$# -gt 0; then \
774            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
775              "$$@" $$unique; \
776          else \
777            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
778              $$unique; \
779          fi; \
780        fi
781ctags: ctags-am
782
783CTAGS: ctags
784ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
785        $(am__define_uniq_tagged_files); \
786        test -z "$(CTAGS_ARGS)$$unique" \
787          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
788             $$unique
789
790GTAGS:
791        here=`$(am__cd) $(top_builddir) && pwd` \
792          && $(am__cd) $(top_srcdir) \
793          && gtags -i $(GTAGS_ARGS) "$$here"
794cscopelist: cscopelist-am
795
796cscopelist-am: $(am__tagged_files)
797        list='$(am__tagged_files)'; \
798        case "$(srcdir)" in \
799          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
800          *) sdir=$(subdir)/$(srcdir) ;; \
801        esac; \
802        for i in $$list; do \
803          if test -f "$$i"; then \
804            echo "$(subdir)/$$i"; \
805          else \
806            echo "$$sdir/$$i"; \
807          fi; \
808        done >> $(top_builddir)/cscope.files
809
810distclean-tags:
811        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
812
813# Recover from deleted '.trs' file; this should ensure that
814# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
815# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
816# to avoid problems with "make -n".
817.log.trs:
818        rm -f $< $@
819        $(MAKE) $(AM_MAKEFLAGS) $<
820
821# Leading 'am--fnord' is there to ensure the list of targets does not
822# expand to empty, as could happen e.g. with make check TESTS=''.
823am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
824am--force-recheck:
825        @:
826
827$(TEST_SUITE_LOG): $(TEST_LOGS)
828        @$(am__set_TESTS_bases); \
829        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
830        redo_bases=`for i in $$bases; do \
831                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
832                    done`; \
833        if test -n "$$redo_bases"; then \
834          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
835          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
836          if $(am__make_dryrun); then :; else \
837            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
838          fi; \
839        fi; \
840        if test -n "$$am__remaking_logs"; then \
841          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
842               "recursion detected" >&2; \
843        elif test -n "$$redo_logs"; then \
844          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
845        fi; \
846        if $(am__make_dryrun); then :; else \
847          st=0;  \
848          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
849          for i in $$redo_bases; do \
850            test -f $$i.trs && test -r $$i.trs \
851              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
852            test -f $$i.log && test -r $$i.log \
853              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
854          done; \
855          test $$st -eq 0 || exit 1; \
856        fi
857        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
858        ws='[   ]'; \
859        results=`for b in $$bases; do echo $$b.trs; done`; \
860        test -n "$$results" || results=/dev/null; \
861        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
862        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
863        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
864        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
865        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
866        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
867        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
868        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
869          success=true; \
870        else \
871          success=false; \
872        fi; \
873        br='==================='; br=$$br$$br$$br$$br; \
874        result_count () \
875        { \
876            if test x"$$1" = x"--maybe-color"; then \
877              maybe_colorize=yes; \
878            elif test x"$$1" = x"--no-color"; then \
879              maybe_colorize=no; \
880            else \
881              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
882            fi; \
883            shift; \
884            desc=$$1 count=$$2; \
885            if test $$maybe_colorize = yes && test $$count -gt 0; then \
886              color_start=$$3 color_end=$$std; \
887            else \
888              color_start= color_end=; \
889            fi; \
890            echo "$${color_start}# $$desc $$count$${color_end}"; \
891        }; \
892        create_testsuite_report () \
893        { \
894          result_count $$1 "TOTAL:" $$all   "$$brg"; \
895          result_count $$1 "PASS: " $$pass  "$$grn"; \
896          result_count $$1 "SKIP: " $$skip  "$$blu"; \
897          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
898          result_count $$1 "FAIL: " $$fail  "$$red"; \
899          result_count $$1 "XPASS:" $$xpass "$$red"; \
900          result_count $$1 "ERROR:" $$error "$$mgn"; \
901        }; \
902        {                                                               \
903          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
904            $(am__rst_title);                                           \
905          create_testsuite_report --no-color;                           \
906          echo;                                                         \
907          echo ".. contents:: :depth: 2";                               \
908          echo;                                                         \
909          for b in $$bases; do echo $$b; done                           \
910            | $(am__create_global_log);                                 \
911        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
912        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
913        if $$success; then                                              \
914          col="$$grn";                                                  \
915         else                                                           \
916          col="$$red";                                                  \
917          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
918        fi;                                                             \
919        echo "$${col}$$br$${std}";                                      \
920        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
921        echo "$${col}$$br$${std}";                                      \
922        create_testsuite_report --maybe-color;                          \
923        echo "$$col$$br$$std";                                          \
924        if $$success; then :; else                                      \
925          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
926          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
927            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
928          fi;                                                           \
929          echo "$$col$$br$$std";                                        \
930        fi;                                                             \
931        $$success || exit 1
932
933check-TESTS:
934        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
935        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
936        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
937        @set +e; $(am__set_TESTS_bases); \
938        log_list=`for i in $$bases; do echo $$i.log; done`; \
939        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
940        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
941        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
942        exit $$?;
943recheck: all $(check_PROGRAMS)
944        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
945        @set +e; $(am__set_TESTS_bases); \
946        bases=`for i in $$bases; do echo $$i; done \
947                 | $(am__list_recheck_tests)` || exit 1; \
948        log_list=`for i in $$bases; do echo $$i.log; done`; \
949        log_list=`echo $$log_list`; \
950        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
951                am__force_recheck=am--force-recheck \
952                TEST_LOGS="$$log_list"; \
953        exit $$?
954trie.log: trie$(EXEEXT)
955        @p='trie$(EXEEXT)'; \
956        b='trie'; \
957        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
958        --log-file $$b.log --trs-file $$b.trs \
959        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
960        "$$tst" $(AM_TESTS_FD_REDIRECT)
961.test.log:
962        @p='$<'; \
963        $(am__set_b); \
964        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
965        --log-file $$b.log --trs-file $$b.trs \
966        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
967        "$$tst" $(AM_TESTS_FD_REDIRECT)
968@am__EXEEXT_TRUE@.test$(EXEEXT).log:
969@am__EXEEXT_TRUE@       @p='$<'; \
970@am__EXEEXT_TRUE@       $(am__set_b); \
971@am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
972@am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
973@am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
974@am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
975
976distdir: $(DISTFILES)
977        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
978        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
979        list='$(DISTFILES)'; \
980          dist_files=`for file in $$list; do echo $$file; done | \
981          sed -e "s|^$$srcdirstrip/||;t" \
982              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
983        case $$dist_files in \
984          */*) $(MKDIR_P) `echo "$$dist_files" | \
985                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
986                           sort -u` ;; \
987        esac; \
988        for file in $$dist_files; do \
989          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
990          if test -d $$d/$$file; then \
991            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
992            if test -d "$(distdir)/$$file"; then \
993              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
994            fi; \
995            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
996              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
997              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
998            fi; \
999            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1000          else \
1001            test -f "$(distdir)/$$file" \
1002            || cp -p $$d/$$file "$(distdir)/$$file" \
1003            || exit 1; \
1004          fi; \
1005        done
1006check-am: all-am
1007        $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1008        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1009check: check-am
1010all-am: Makefile
1011installdirs:
1012install: install-am
1013install-exec: install-exec-am
1014install-data: install-data-am
1015uninstall: uninstall-am
1016
1017install-am: all-am
1018        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1019
1020installcheck: installcheck-am
1021install-strip:
1022        if test -z '$(STRIP)'; then \
1023          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1024            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1025              install; \
1026        else \
1027          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1028            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1029            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1030        fi
1031mostlyclean-generic:
1032        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1033        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1034        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1035
1036clean-generic:
1037        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1038
1039distclean-generic:
1040        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1041        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1042
1043maintainer-clean-generic:
1044        @echo "This command is intended for maintainers to use"
1045        @echo "it deletes files that may require special tools to rebuild."
1046clean: clean-am
1047
1048clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
1049        mostlyclean-am
1050
1051distclean: distclean-am
1052        -rm -rf ./$(DEPDIR)
1053        -rm -f Makefile
1054distclean-am: clean-am distclean-compile distclean-generic \
1055        distclean-tags
1056
1057dvi: dvi-am
1058
1059dvi-am:
1060
1061html: html-am
1062
1063html-am:
1064
1065info: info-am
1066
1067info-am:
1068
1069install-data-am:
1070
1071install-dvi: install-dvi-am
1072
1073install-dvi-am:
1074
1075install-exec-am:
1076
1077install-html: install-html-am
1078
1079install-html-am:
1080
1081install-info: install-info-am
1082
1083install-info-am:
1084
1085install-man:
1086
1087install-pdf: install-pdf-am
1088
1089install-pdf-am:
1090
1091install-ps: install-ps-am
1092
1093install-ps-am:
1094
1095installcheck-am:
1096
1097maintainer-clean: maintainer-clean-am
1098        -rm -rf ./$(DEPDIR)
1099        -rm -f Makefile
1100maintainer-clean-am: distclean-am maintainer-clean-generic
1101
1102mostlyclean: mostlyclean-am
1103
1104mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1105        mostlyclean-libtool
1106
1107pdf: pdf-am
1108
1109pdf-am:
1110
1111ps: ps-am
1112
1113ps-am:
1114
1115uninstall-am:
1116
1117.MAKE: check-am install-am install-strip
1118
1119.PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
1120        clean-checkPROGRAMS clean-generic clean-libtool cscopelist-am \
1121        ctags ctags-am distclean distclean-compile distclean-generic \
1122        distclean-libtool distclean-tags distdir dvi dvi-am html \
1123        html-am info info-am install install-am install-data \
1124        install-data-am install-dvi install-dvi-am install-exec \
1125        install-exec-am install-html install-html-am install-info \
1126        install-info-am install-man install-pdf install-pdf-am \
1127        install-ps install-ps-am install-strip installcheck \
1128        installcheck-am installdirs maintainer-clean \
1129        maintainer-clean-generic mostlyclean mostlyclean-compile \
1130        mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1131        recheck tags tags-am uninstall uninstall-am
1132
1133.PRECIOUS: Makefile
1134
1135
1136$(OBJS): $(top_srcdir)/include/version.h $(top_builddir)/include/autoconf.h
1137
1138# Tell versions [3.59,3.63) of GNU make to not export all variables.
1139# Otherwise a system limit (for SysV at least) may be exceeded.
1140.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.